package com.common.commonlibtest.viewpagerlayoutmanager.carousel;

import com.common.commonlib.view.viewpagerlayoutmanager.CarouselLayoutManager;
import com.common.commonlibtest.viewpagerlayoutmanager.BaseActivity;
import com.common.commonlibtest.viewpagerlayoutmanager.Util;

public class CarouselLayoutActivity extends BaseActivity<CarouselLayoutManager, CarouselPopUpWindow> {

    @Override
    protected CarouselLayoutManager createLayoutManager() {
        return new CarouselLayoutManager(this, Util.Dp2px(this, 100));
    }

    @Override
    protected CarouselPopUpWindow createSettingPopUpWindow() {
        return new CarouselPopUpWindow(this, getViewPagerLayoutManager(), getRecyclerView());
    }
}
